Index: /branches/1.1dev/bin/module_maker/form_template.cli.php
===================================================================
--- /branches/1.1dev/bin/module_maker/form_template.cli.php	(revision 288)
+++ /branches/1.1dev/bin/module_maker/form_template.cli.php	(revision 289)
@@ -122,5 +122,5 @@
         <td>&nbsp;</td>
         <td>
-            <input type="checkbox" name="$field" <\x3fphp frmChecked(!empty(\$frm['$field'])) \x3f>><label><\x3fphp echo _("$title"); \x3f></label>
+            <label><input type="checkbox" name="$field" <\x3fphp frmChecked(!empty(\$frm['$field'])) \x3f>><\x3fphp echo _("$title"); \x3f></label>
         </td>
     </tr>
Index: /branches/1.1dev/bin/module_maker/list_template.cli.php
===================================================================
--- /branches/1.1dev/bin/module_maker/list_template.cli.php	(revision 288)
+++ /branches/1.1dev/bin/module_maker/list_template.cli.php	(revision 289)
@@ -104,5 +104,5 @@
 
 <\x3fphp include 'form_error_header.ihtml'; \x3f>
-<form action="<\x3fphp echo oTxt(\$_SERVER['PHP_SELF']); \x3f>" method="post">
+<form action="<\x3fphp echo oTxt(\$_SERVER['PHP_SELF']); \x3f>" method="get">
 <\x3fphp printHiddenSession(false); \x3f>
 
@@ -159,5 +159,5 @@
 
 echo isset($op) ? '' : <<<E_O_F
-        <td class="nowrap" align="right"><a title="<\x3fphp printf(_("Delete %s"), oTxt(\$list[\$i]['______RECORD_NAME______'])) \x3f>" href="<\x3fphp echo ohref(\$_SERVER['PHP_SELF'] . "?op=del&$primary_key=" . \$list[\$i]['$primary_key']); \x3f>" onClick="javascript:return confirm('<\x3fphp printf(_("Are you sure you want to delete the record %s? This action is permanent and cannot be undone."), oTxt(\$list[\$i]['______RECORD_NAME______'])) \x3f>')"><img src="<\x3fphp echo \$CFG->admin_url; \x3f>/_widgets/delete.gif" alt="Delete" width="16" height="17" border="0"></a> &nbsp;</td>
+        <td class="nowrap" align="right"><a title="<\x3fphp printf(_("Delete %s"), oTxt(\$list[\$i]['______RECORD_NAME______'])) \x3f>" href="<\x3fphp echo ohref(\$_SERVER['PHP_SELF'] . "?op=del&$primary_key=" . \$list[\$i]['$primary_key']); \x3f>" onclick="javascript:return confirm('<\x3fphp printf(_("Are you sure you want to delete the record %s? This action is permanent and cannot be undone."), oTxt(\$list[\$i]['______RECORD_NAME______'])) \x3f>')"><img src="<\x3fphp echo \$CFG->admin_url; \x3f>/_widgets/delete.gif" alt="Delete" width="16" height="17" border="0"></a> &nbsp;</td>
     </tr>
     <\x3fphp } \x3f>
Index: /branches/1.1dev/bin/module_maker/skel/adm_list.ihtml
===================================================================
--- /branches/1.1dev/bin/module_maker/skel/adm_list.ihtml	(revision 288)
+++ /branches/1.1dev/bin/module_maker/skel/adm_list.ihtml	(revision 289)
@@ -18,5 +18,5 @@
 <?php include 'adm_list_info.ihtml'; ?>
 
-<form action="<?php echo oTxt($_SERVER['PHP_SELF']); ?>" method="post">
+<form action="<?php echo oTxt($_SERVER['PHP_SELF']); ?>" method="get">
     <?php printHiddenSession(false); ?>
     <table class="list">
@@ -32,5 +32,5 @@
             <td class="padleft nowrap"><a title="<?php printf(_("Versions of %s"), oTxt($list[$i]['______RECORD_NAME______'])) ?>" href="<?php echo ohref("$CFG->admin_url/record_versions.php?record_table=%DB_TBL%&record_key=%PRIMARY_KEY%&boomerang=true&record_val=" . $list[$i]['%PRIMARY_KEY%']); ?>"><img src="<?php echo $CFG->admin_url; ?>/_widgets/subcategory.gif" alt="" width="18" height="14" border="0" /></a> &nbsp;</td>
     %ADM_LIST_ROWS%
-            <td class="padleft nowrap" align="right"><a title="<?php printf(_("Delete %s"), oTxt($list[$i]['______RECORD_NAME______'])) ?>" href="<?php echo ohref($_SERVER['PHP_SELF'] . "?op=del&%PRIMARY_KEY%=" . $list[$i]['%PRIMARY_KEY%']); ?>" onClick="javascript:return confirm('<?php printf(_("Are you sure you want to delete the record %s? This action is permanent and cannot be undone."), oTxt($list[$i]['______RECORD_NAME______'])) ?>')"><img src="<?php echo $CFG->admin_url; ?>/_widgets/delete.gif" alt="Delete" width="16" height="17" border="0"></a> &nbsp;</td>
+            <td class="padleft nowrap" align="right"><a title="<?php printf(_("Delete %s"), oTxt($list[$i]['______RECORD_NAME______'])) ?>" href="<?php echo ohref($_SERVER['PHP_SELF'] . "?op=del&%PRIMARY_KEY%=" . $list[$i]['%PRIMARY_KEY%']); ?>" onclick="javascript:return confirm('<?php printf(_("Are you sure you want to delete the record %s? This action is permanent and cannot be undone."), oTxt($list[$i]['______RECORD_NAME______'])) ?>')"><img src="<?php echo $CFG->admin_url; ?>/_widgets/delete.gif" alt="Delete" width="16" height="17" border="0"></a> &nbsp;</td>
         </tr>
         <?php } ?>
Index: /branches/1.1dev/css/admin.inc.css
===================================================================
--- /branches/1.1dev/css/admin.inc.css	(revision 288)
+++ /branches/1.1dev/css/admin.inc.css	(revision 289)
@@ -51,4 +51,10 @@
     /*float: right;*/
 }
+form .formtext label
+{
+    font-size: 100%;
+    font-weight: normal;
+    padding: 0;
+}
 
 form table td {
@@ -241,49 +247,8 @@
 {
 	font-size: 70%;
-	padding: 2px;
+	padding: 2px 6px 2px 2px;
 	border-bottom: 1px dotted #000;
 }
 
-/* BEAU: The old stuff that was here...
-#content table
-{
-         background-color: #FFF; 
-}
-
-#content th
-{
-    padding: 2px;
-    text-align: left;
-    vertical-align: middle;
-    white-space: nowrap;
-}
-
-#content td
-{
-    vertical-align: top;
-}
-
-#content table.list
-{
-    width: 99%;
-    margin: 4px 0;
-    background-color: #FFF;
-}
-
-#content table.list th
-{
-    padding-right: 6px;
-    font-size: 70%;
-    background-color: #CCC;
-    border-bottom: 1px solid #000;
-}
-
-#content table.list td
-{
-    font-size: 70%;
-    padding: 2px;
-    border-bottom: 1px dotted #000;
-}
-*/
 /*_____________________ FOOTER ____________________*/
 #footer
Index: /branches/1.1dev/css/utilities.inc.css
===================================================================
--- /branches/1.1dev/css/utilities.inc.css	(revision 288)
+++ /branches/1.1dev/css/utilities.inc.css	(revision 289)
@@ -80,5 +80,4 @@
 form label
 {
-    padding: 7px 0px 0px 0px;
     font-weight: bold;
 }
Index: /branches/1.1dev/lib/SpellCheck.inc.php
===================================================================
--- /branches/1.1dev/lib/SpellCheck.inc.php	(revision 288)
+++ /branches/1.1dev/lib/SpellCheck.inc.php	(revision 289)
@@ -300,5 +300,5 @@
                 ?>
                 <li>
-                <select name="spelling_suggestions[<?php echo $form_name ?>][<?php echo $i ?>]" onChange="document.forms[0].elements['spelling_corrections[<?php echo $form_name ?>][<?php echo $i ?>]'].value = this.value;">
+                <select name="spelling_suggestions[<?php echo $form_name ?>][<?php echo $i ?>]" onchange="document.forms[0].elements['spelling_corrections[<?php echo $form_name ?>][<?php echo $i ?>]'].value = this.value;">
                 <?php $original_word = array_shift($words); ?>
                 <option value="<?php echo $original_word ?>">(<?php echo $original_word ?>)</option>
Index: /branches/1.1dev/lib/TemplateGlue.inc.php
===================================================================
--- /branches/1.1dev/lib/TemplateGlue.inc.php	(revision 288)
+++ /branches/1.1dev/lib/TemplateGlue.inc.php	(revision 289)
@@ -65,4 +65,5 @@
 	$row = mysql_fetch_row($qid);
 	if (preg_match('/^enum|^set/i', $row[1]) && preg_match_all("/'([^']*)'/", $row[1], $enum)) {
+    	natsort($enum[1]);
 		return $enum[1];
 	} else {
@@ -292,8 +293,10 @@
         }
 	}
-	$qid = dbQuery("SELECT $key_column, $val_column FROM $db_table $extra_clause",false);
+	$key_column_name = preg_replace('/^.*?\.?([^\.]+)$/', '$1', $key_column);
+	$val_column_name = preg_replace('/^.*?\.?([^\.]+)$/', '$1', $val_column);
+	$qid = dbQuery("SELECT $key_column AS `$key_column_name`, $val_column AS `$val_column_name` FROM $db_table $extra_clause",false);
 	while ($row = mysql_fetch_assoc($qid)) {
-		$selected = in_array($row[$val_column], $preselected) ? ' selected="selected"' : '';
-		?><option value="<?php echo $row[$val_column]; ?>"<?php echo $selected; ?>><?php echo oTxt($row[$key_column]); ?></option><?php
+		$selected = in_array($row[$val_column_name], $preselected) ? ' selected="selected"' : '';
+		?><option value="<?php echo $row[$val_column_name]; ?>"<?php echo $selected; ?>><?php echo oTxt($row[$key_column_name]); ?></option><?php
 	}
 }
Index: /branches/1.1dev/templates/adm_admin_list.ihtml
===================================================================
--- /branches/1.1dev/templates/adm_admin_list.ihtml	(revision 288)
+++ /branches/1.1dev/templates/adm_admin_list.ihtml	(revision 289)
@@ -1,5 +1,5 @@
 
 <?php include 'form_error_header.ihtml'; ?>
-<form action="<?php echo oTxt($_SERVER['PHP_SELF']); ?>" method="post">
+<form action="<?php echo oTxt($_SERVER['PHP_SELF']); ?>" method="get">
 <?php $carry_queries = array('search_query', 'filter_admin_priv'); ?>
 <?php printHiddenSession(false); ?>
@@ -44,5 +44,5 @@
         <td class="padleft nowrap"><?php echo gethostbyaddr($list[$i]['last_login_ip']); ?> &nbsp;</td>
         <td class="padleft right nowrap">
-            <a title="<?php printf(_("Delete %s"), oTxt($list[$i]['username'])) ?>" href="<?php echo ohref($CFG->admin_url . '/admins.php?op=del&admin_id=' . $list[$i]['admin_id']); ?>" onClick="javascript:return confirm('<?php printf(_("Are you sure you want to delete %s? This action is permanent and cannot be undone."), oTxt($list[$i]['username'])) ?>')"><img src="<?php echo $CFG->admin_url; ?>/_widgets/delete.gif" alt="Delete" width="16" height="17" border="0"></a>
+            <a title="<?php printf(_("Delete %s"), oTxt($list[$i]['username'])) ?>" href="<?php echo ohref($CFG->admin_url . '/admins.php?op=del&admin_id=' . $list[$i]['admin_id']); ?>" onclick="javascript:return confirm('<?php printf(_("Are you sure you want to delete %s? This action is permanent and cannot be undone."), oTxt($list[$i]['username'])) ?>')"><img src="<?php echo $CFG->admin_url; ?>/_widgets/delete.gif" alt="Delete" width="16" height="17" border="0"></a>
         </td>
     </tr>
Index: /branches/1.1dev/templates/adm_log_list.ihtml
===================================================================
--- /branches/1.1dev/templates/adm_log_list.ihtml	(revision 288)
+++ /branches/1.1dev/templates/adm_log_list.ihtml	(revision 289)
@@ -24,6 +24,6 @@
                 <?php if (!preg_match($no_download_files, $l['filename'])) { ?><span class="commanditem"><a href="<?php echo ohref("$CFG->admin_url/logs.php?op=download&log=" . $l['filename']); ?>"><?php echo _("Download"); ?></a></span><?php } ?>
                 <?php if (!preg_match($no_archive_files, $l['filename'])) { ?><span class="commanditem"><a href="<?php echo ohref("$CFG->admin_url/logs.php?op=archive&log=" . $l['filename']); ?>"><?php echo _("Archive"); ?></a></span><?php } ?>
-                <?php if (!preg_match($no_clear_files, $l['filename'])) { ?><span class="commanditem"><a href="<?php echo ohref("$CFG->admin_url/logs.php?op=clear&log=" . $l['filename']); ?>" onClick="javascript:return confirm('<?php printf(_("Are you sure you want to clear the log file %s? This will empty this file of its contents. This action is not reversable."), $l['filename'])?>')"><?php echo _("Clear"); ?></a></span><?php } ?>
-                <?php if (!preg_match($no_delete_files, $l['filename'])) { ?><span class="commanditem"><a href="<?php echo ohref("$CFG->admin_url/logs.php?op=delete&log=" . $l['filename']); ?>" onClick="javascript:return confirm('<?php printf(_("Are you sure you want to delete the log file %s? This will remove this log file permanently. This action is not reversable."), $l['filename'])?>')"><?php echo _("Delete"); ?></a></span><?php } ?>
+                <?php if (!preg_match($no_clear_files, $l['filename'])) { ?><span class="commanditem"><a href="<?php echo ohref("$CFG->admin_url/logs.php?op=clear&log=" . $l['filename']); ?>" onclick="javascript:return confirm('<?php printf(_("Are you sure you want to clear the log file %s? This will empty this file of its contents. This action is not reversable."), $l['filename'])?>')"><?php echo _("Clear"); ?></a></span><?php } ?>
+                <?php if (!preg_match($no_delete_files, $l['filename'])) { ?><span class="commanditem"><a href="<?php echo ohref("$CFG->admin_url/logs.php?op=delete&log=" . $l['filename']); ?>" onclick="javascript:return confirm('<?php printf(_("Are you sure you want to delete the log file %s? This will remove this log file permanently. This action is not reversable."), $l['filename'])?>')"><?php echo _("Delete"); ?></a></span><?php } ?>
             </td>
         </tr><?php