Index: trunk/services/templates/admin_form.ihtml
===================================================================
--- trunk/services/templates/admin_form.ihtml	(revision 295)
+++ trunk/services/templates/admin_form.ihtml	(revision 296)
@@ -8,9 +8,9 @@
 
 <table>
-    <tr>
+    <tr class="sc-form-row">
         <td>&nbsp;</td>
         <td><?php printSubmitButtons($frm['submit_buttons']); ?></td>
     </tr>
-    <tr>
+    <tr class="sc-form-row">
         <td class="sc-right"><label for="username" class="<?php $fv->err('username'); ?>"><?php echo _("Username"); ?></label></td>
         <td>
@@ -18,5 +18,5 @@
         </td>
     </tr>
-    <tr>
+    <tr class="sc-form-row">
         <td class="sc-right"><label for="userpass" class="<?php $fv->err('userpass'); ?>"><?php echo _("Password"); ?></label></td>
         <td>
@@ -24,5 +24,5 @@
         </td>
     </tr>
-    <tr>
+    <tr class="sc-form-row">
         <td class="sc-right"><label for="first_name" class="<?php $fv->err('first_name'); ?>"><?php echo _("First name"); ?></label></td>
         <td>
@@ -30,5 +30,5 @@
         </td>
     </tr>
-    <tr>
+    <tr class="sc-form-row">
         <td class="sc-right"><label for="last_name" class="<?php $fv->err('last_name'); ?>"><?php echo _("Last name"); ?></label></td>
         <td>
@@ -36,5 +36,5 @@
         </td>
     </tr>
-    <tr>
+    <tr class="sc-form-row">
         <td class="sc-right"><label for="email" class="<?php $fv->err('email'); ?>"><?php echo _("Email"); ?></label></td>
         <td>
@@ -42,5 +42,5 @@
         </td>
     </tr>
-    <tr>
+    <tr class="sc-form-row">
         <td class="sc-right"><label for="user_type" class="<?php $fv->err('user_type'); ?>"><?php echo _("User type"); ?></label></td>
         <td>
@@ -50,5 +50,5 @@
         </td>
     </tr>
-    <tr>
+    <tr class="sc-form-row">
         <td>&nbsp;</td>
         <td><?php printSubmitButtons($frm['submit_buttons']); ?></td>
Index: trunk/services/templates/log_list.ihtml
===================================================================
--- trunk/services/templates/log_list.ihtml	(revision 295)
+++ trunk/services/templates/log_list.ihtml	(revision 296)
@@ -31,5 +31,5 @@
     <div class="form">
         <input type="text" class="sc-small" size="20" name="search_query" value="<?php echo oTxt(getFormData('search_query')); ?>" title="<?php echo _("All lines in currently viewed log file are searched."); ?>" />
-        <input type="checkbox" name="search_grep"<?php frmChecked(getFormData('search_grep')) ?> /><label class="sc-normal"><?php echo _("Use Grep"); ?></label>
+        <label class="sc-normal"><input type="checkbox" name="search_grep"<?php frmChecked(getFormData('search_grep')) ?> /><?php echo _("Use Regex"); ?></label>
         <input class="sc-padleft" type="submit" name="list" value="<?php echo _("Search"); ?>" />
     </div>
Index: trunk/services/templates/login_form.ihtml
===================================================================
--- trunk/services/templates/login_form.ihtml	(revision 295)
+++ trunk/services/templates/login_form.ihtml	(revision 296)
@@ -2,5 +2,5 @@
 <?php $app->printHiddenSession() ?>
 <table>
-    <tr>
+    <tr class="sc-form-row">
         <td class="sc-right"><label for="username"><?php echo _("Username"); ?></label></td>
         <td>
@@ -8,5 +8,5 @@
         </td>
     </tr>
-    <tr>
+    <tr class="sc-form-row">
         <td class="sc-right"><label for="password"><?php echo _("Password"); ?></label></td>
         <td>
Index: trunk/services/templates/password.ihtml
===================================================================
--- trunk/services/templates/password.ihtml	(revision 295)
+++ trunk/services/templates/password.ihtml	(revision 296)
@@ -5,5 +5,5 @@
 <input type="hidden" name="op" value="update_password" />
 <table>
-    <tr>
+    <tr class="sc-form-row">
         <td class="sc-right"><label for="oldpassword" class="<?php $fv->err('oldpassword'); ?>"><?php echo _("Old password"); ?></label></td>
         <td>
@@ -11,5 +11,5 @@
         </td>
     </tr>
-    <tr>
+    <tr class="sc-form-row">
         <td class="sc-right"><label for="newpassword" class="<?php $fv->err('newpassword'); ?>"><?php echo _("New password"); ?></label></td>
         <td>
@@ -17,5 +17,5 @@
         </td>
     </tr>
-    <tr>
+    <tr class="sc-form-row">
         <td class="sc-right"><label for="newpassword2" class="<?php $fv->err('newpassword2'); ?>"><?php echo _("New password again"); ?></label></td>
         <td>
@@ -23,5 +23,5 @@
         </td>
     </tr>
-    <tr>
+    <tr class="sc-form-row">
         <td>&nbsp;</td>
         <td><input type="submit" value="<?php echo _("Change password"); ?>" /></td>