Index: trunk/docs/codebase_v1-to-v2_upgrade_checklist.txt
===================================================================
--- trunk/docs/codebase_v1-to-v2_upgrade_checklist.txt	(revision 316)
+++ trunk/docs/codebase_v1-to-v2_upgrade_checklist.txt	(revision 334)
@@ -23,5 +23,5 @@
     
     
-3. $CFG-> variables are gone. Most of these should be converted into their $app and $auth equivelents. If a $CFG variable is NOT something used by the codebase but is still needed by the website application, I suggest converting these values to a $cfg array. For example, this:
+3. $CFG-> variables are gone. Most of these should be converted into their $app and $auth equivalents. If a $CFG variable is NOT something used by the codebase but is still needed by the website application, I suggest converting these values to a $cfg array. For example, this:
 
     $CFG->gallery_images_url = '/gallery_images';
@@ -35,5 +35,5 @@
     "{$cfg['gallery_images_url']}/my/path". 
     
-If the value used is now to be retreived from a $object->getParam(...) method call, youll need to do this: 
+If the value used is now to be retrieved from a $object->getParam(...) method call, you'll need to do this: 
 
     $object->getParam('gallery_images_url') . '/my/path'
@@ -48,8 +48,8 @@
     <a href="<?php echo $app->ohref("/my/file.php"); ?>">
     
-(In otherwords, the URL should be a not-fully-qualified URL starting with a slash.)
-
-
-// 5. Expect formatting incosistencies! When doing global search-replace expect whitespace to be erratic, variable names to change, and lines to be otherwise inconsistent. Here's a good example of a safe way to match a line:
+(In other words, the URL should be a not-fully-qualified URL starting with a slash.)
+
+
+// 5. Expect formatting inconsistencies! When doing global search-replace expect whitespace to be erratic, variable names to change, and lines to be otherwise inconsistent. Here's a good example of a safe way to match a line:
 
 Searching for "$CFG->ssl_domain = 'www.example.com';":
Index: trunk/docs/coding_standards.txt
===================================================================
--- trunk/docs/coding_standards.txt	(revision 316)
+++ trunk/docs/coding_standards.txt	(revision 334)
@@ -234,5 +234,5 @@
             return true;
         } else {
-            // To be valid email address must match regex and fit within the lenth constraints.
+            // To be valid email address must match regex and fit within the length constraints.
             if (preg_match($this->getParam('regex'), $email, $e_parts) && mb_strlen($e_parts[2]) < 64 && mb_strlen($e_parts[3]) < 255) {
                 return true;
Index: trunk/docs/examples/db_auth.inc.php
===================================================================
--- trunk/docs/examples/db_auth.inc.php	(revision 316)
+++ trunk/docs/examples/db_auth.inc.php	(revision 334)
@@ -3,5 +3,5 @@
 * The credentials here are to be loaded only by command-line scripts executed 
 * on the command line or via cron. This script should be not be readable by apache. 
-* Ownershipt should be the web owner, with only user-readbility, such as:
+* Ownership should be the web owner, with only user-readability, such as:
 * -rw-------@  1 bob  bob   416 Mar 10 16:59 global/db_auth.inc.php
 */
Index: trunk/docs/examples/virtualhost_directive.conf
===================================================================
--- trunk/docs/examples/virtualhost_directive.conf	(revision 316)
+++ trunk/docs/examples/virtualhost_directive.conf	(revision 334)
@@ -8,5 +8,5 @@
     SetEnv DB_USER user_asdf
     SetEnv DB_PASS pass_asdf
-    SetEnv SIGNING_KEY wekgbb92e2397g3r293gh
+    SetEnv SIGNING_KEY kjhu3hf4gpoh2p9fgh8223t8h120
     <Directory "/home/user/www.example.com">
         php_admin_value open_basedir "/home/user/www.example.com:/usr/local/lib/php:/tmp"
Index: trunk/docs/file_layout.txt
===================================================================
--- trunk/docs/file_layout.txt	(revision 316)
+++ trunk/docs/file_layout.txt	(revision 334)
@@ -1,3 +1,4 @@
 Updated: 11 Dec 2006 16:25:10
+(This document is probably out-of-date.)
 =====================================================================
 
@@ -42,5 +43,5 @@
         Auth_SQL.inc.php (sql-based authentication system)
         AuthorizeNet.inc.php (routines for connection to authorize.net's advanced processing interface)
-        Cache.inc.php (provides session-based caching functionality for quick retreival of all PHP data types)
+        Cache.inc.php (provides session-based caching functionality for quick retrieval of all PHP data types)
         CSS.inc.php (manage and deliver CSS data)
         DB.inc.php (minimal database abstraction layer)
@@ -49,5 +50,5 @@
         FormValidator.inc.php (validation routines used to test incoming user data)
         Google_API.inc.php (class for connecting to, querying, and dealing with data of the Google API)
-        Heirarchy.php (class for manipulation of heirarchies)
+        Heirarchy.php (class for manipulation of hierarchies)
         Image.inc.php (manage printing of images related to db records)
         ImageThumb.inc.php (automated image thumbnailing routines)
@@ -55,9 +56,9 @@
         MCVE.inc.php
         Navigation.inc.php (navigation element management class))
-        PageNumbers.inc.php (class for managing and printing various elements of page numbers and pagenation)
+        PageNumbers.inc.php (class for managing and printing various elements of page numbers and pagination)
         PageSequence.inc.php (manage a sequence of steps and data from step form elements, like order checkout or signup)
         PayPal.inc.php
         PEdit.inc.php (page-by-page file-based content management system)
-        Prefs.inc.php (class for semi-permenent storage of values)
+        Prefs.inc.php (class for semi-permanent storage of values)
         ScriptTimer.inc.php (timer for scripts)
         SortOrder.inc.php (class dealing with sorting of columns in database generated lists)
@@ -109,5 +110,5 @@
     versions.php (manage db record versions)
 
-html/(DocumentRoot of main site application)
+html/ (DocumentRoot of main site application)
     _config.inc.php (configuration options and defaults specific to this site. included first in each script)
     _templates/ (site specific templates. templates here override global codebase templates with same name)
Index: trunk/docs/version.txt
===================================================================
--- trunk/docs/version.txt	(revision 316)
+++ trunk/docs/version.txt	(revision 334)
@@ -1,1 +1,1 @@
-2.1.2dev
+2.1.3dev