Index: /trunk/lib/App.inc.php
===================================================================
--- /trunk/lib/App.inc.php	(revision 356)
+++ /trunk/lib/App.inc.php	(revision 357)
@@ -107,5 +107,5 @@
 
         // Don't email or sms duplicate messages that happen more often than this value (in seconds).
-        'log_multiple_timeout' => 60,
+        'log_multiple_timeout' => 61,
 
         // Logging priority can be any of the following, or false to deactivate:
@@ -556,5 +556,5 @@
 
         // Create tmp files so that we don't email and sms redundantly.
-        $site_hash = md5(SITE_BASE);
+        $site_hash = md5($_SERVER['SCRIPT_NAME']);
         $temp_dir = $this->getParam('tmp_dir') . "/codebase_msgs_$site_hash/";
         $temp_file = $temp_dir . $msg_id;
@@ -567,8 +567,8 @@
             // Has this message been sent more recently than the timeout?
             if ((time() - $msg_last_sent) < $this->getParam('log_multiple_timeout')) {
-                // This message was alreay sent recently
+                // This message was already sent recently.
                 $send_notifications = false;
             } else {
-                // Timeout has expired go ahead and send notifications again
+                // Timeout has expired go ahead and send notifications again.
                 unlink($temp_file);
             }
@@ -597,5 +597,4 @@
         // NOTIFY SOMEONE
         if ($send_notifications) {
-
             // EMAIL ACTION
             if ($this->getParam('log_email_priority') && $priority <= $this->getParam('log_email_priority')) {
Index: /trunk/lib/Email.inc.php
===================================================================
--- /trunk/lib/Email.inc.php	(revision 356)
+++ /trunk/lib/Email.inc.php	(revision 357)
@@ -69,10 +69,10 @@
     {
         // The regex used in validEmail(). Set here instead of in the default _params above so we can use the concatenation . dot.
-        // This matches an email address as complex as:
-        //      Bob John-Smith <bob&smith's/dep=sales!@smith-wick.ca.us> (Sales department)
+        // This matches a (valid) email address as complex as:
+        //      "Jane & Bob Smith" <bob&smith's/dep=sales!@smith-wick.ca.us> (Sales department)
         // ...and something as simple as:
         //      x@x.com
-        $this->setParam(array('regex' => '/^(?:[^,@]*(<)|[^,@]*\s+|)'   // Display name
-        . '((?:[^.<>\s@",\[\]]+[^<>\s@",\[\]])*[^.<>\s@",\[\]]+)'    // Local-part
+        $this->setParam(array('regex' => '/^(?:(?:"[^"]*?"\s*|[^,@]*)(<)|(?:"[^"]*?"|[^,@]*)\s+|)'   // Display name
+        . '((?:[^.<>\s@",\[\]]+[^<>\s@",\[\]])*[^.<>\s@",\[\]]+)'       // Local-part
         . '@'                                                           // @
         . '((?:(\[)|[A-Z0-9]?)'                                         // Domain, first char
Index: /trunk/tests/Auth_SQLTest.php
===================================================================
--- /trunk/tests/Auth_SQLTest.php	(revision 356)
+++ /trunk/tests/Auth_SQLTest.php	(revision 357)
@@ -44,6 +44,5 @@
                 first_name,
                 last_name,
-                email,
-                user_type
+                email
             ) VALUES (
                 'testuser',
@@ -51,6 +50,5 @@
                 'John',
                 'Doe',
-                'root@localhost',
-                'admin'
+                'root@localhost'
             )
         ");
Index: /trunk/tests/LockTest.php
===================================================================
--- /trunk/tests/LockTest.php	(revision 356)
+++ /trunk/tests/LockTest.php	(revision 357)
@@ -46,6 +46,5 @@
                 first_name,
                 last_name,
-                email,
-                user_type
+                email
             ) VALUES (
                 'testuser',
@@ -53,6 +52,5 @@
                 'John',
                 'Doe',
-                'john@example.com',
-                'admin'
+                'john@example.com'
             )
         ");
Index: /trunk/tests/VersionTest.php
===================================================================
--- /trunk/tests/VersionTest.php	(revision 356)
+++ /trunk/tests/VersionTest.php	(revision 357)
@@ -46,6 +46,5 @@
                 first_name,
                 last_name,
-                email,
-                user_type
+                email
             ) VALUES (
                 'testuser',
@@ -53,6 +52,5 @@
                 'John',
                 'Doe',
-                'john@example.com',
-                'admin'
+                'john@example.com'
             )
         ");
Index: /trunk/tests/run_tests.sh
===================================================================
--- /trunk/tests/run_tests.sh	(revision 356)
+++ /trunk/tests/run_tests.sh	(revision 357)
@@ -7,4 +7,4 @@
 for foo in *Test.php; 
 do
-    /usr/local/bin/php $foo;
+    php $foo;
 done;