Index: trunk/bin/acl.cli.php
===================================================================
--- trunk/bin/acl.cli.php	(revision 362)
+++ trunk/bin/acl.cli.php	(revision 376)
@@ -4,5 +4,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2009 Strangecode Internet Consultancy
+ * Copyright 2001-2010 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/bin/file_importer.php
===================================================================
--- trunk/bin/file_importer.php	(revision 362)
+++ trunk/bin/file_importer.php	(revision 376)
@@ -4,5 +4,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2009 Strangecode Internet Consultancy
+ * Copyright 2001-2010 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/bin/module_maker/_config.inc.php
===================================================================
--- trunk/bin/module_maker/_config.inc.php	(revision 362)
+++ trunk/bin/module_maker/_config.inc.php	(revision 376)
@@ -3,5 +3,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2009 Strangecode Internet Consultancy
+ * Copyright 2001-2010 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/bin/module_maker/form_template.cli.php
===================================================================
--- trunk/bin/module_maker/form_template.cli.php	(revision 362)
+++ trunk/bin/module_maker/form_template.cli.php	(revision 376)
@@ -4,5 +4,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2009 Strangecode Internet Consultancy
+ * Copyright 2001-2010 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/bin/module_maker/list_template.cli.php
===================================================================
--- trunk/bin/module_maker/list_template.cli.php	(revision 362)
+++ trunk/bin/module_maker/list_template.cli.php	(revision 376)
@@ -4,5 +4,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2009 Strangecode Internet Consultancy
+ * Copyright 2001-2010 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/bin/module_maker/module.cli.php
===================================================================
--- trunk/bin/module_maker/module.cli.php	(revision 362)
+++ trunk/bin/module_maker/module.cli.php	(revision 376)
@@ -4,5 +4,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2009 Strangecode Internet Consultancy
+ * Copyright 2001-2010 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/bin/module_maker/skel/admin.php
===================================================================
--- trunk/bin/module_maker/skel/admin.php	(revision 362)
+++ trunk/bin/module_maker/skel/admin.php	(revision 376)
@@ -3,5 +3,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2009 Strangecode Internet Consultancy
+ * Copyright 2001-2010 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/bin/module_maker/skel/public.php
===================================================================
--- trunk/bin/module_maker/skel/public.php	(revision 362)
+++ trunk/bin/module_maker/skel/public.php	(revision 376)
@@ -3,5 +3,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2009 Strangecode Internet Consultancy
+ * Copyright 2001-2010 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/bin/module_maker/sql.cli.php
===================================================================
--- trunk/bin/module_maker/sql.cli.php	(revision 362)
+++ trunk/bin/module_maker/sql.cli.php	(revision 376)
@@ -4,5 +4,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2009 Strangecode Internet Consultancy
+ * Copyright 2001-2010 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/bin/module_maker/validation.cli.php
===================================================================
--- trunk/bin/module_maker/validation.cli.php	(revision 362)
+++ trunk/bin/module_maker/validation.cli.php	(revision 376)
@@ -4,5 +4,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2009 Strangecode Internet Consultancy
+ * Copyright 2001-2010 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.