Index: trunk/tests/AppTest.php
===================================================================
--- trunk/tests/AppTest.php	(revision 376)
+++ trunk/tests/AppTest.php	(revision 396)
@@ -3,5 +3,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2010 Strangecode, LLC
+ * Copyright 2001-2012 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/tests/Auth_FileTest.php
===================================================================
--- trunk/tests/Auth_FileTest.php	(revision 376)
+++ trunk/tests/Auth_FileTest.php	(revision 396)
@@ -3,5 +3,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2010 Strangecode, LLC
+ * Copyright 2001-2012 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/tests/Auth_SQLTest.php
===================================================================
--- trunk/tests/Auth_SQLTest.php	(revision 376)
+++ trunk/tests/Auth_SQLTest.php	(revision 396)
@@ -3,5 +3,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2010 Strangecode, LLC
+ * Copyright 2001-2012 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/tests/AuthorizeNetTest.php
===================================================================
--- trunk/tests/AuthorizeNetTest.php	(revision 376)
+++ trunk/tests/AuthorizeNetTest.php	(revision 396)
@@ -3,5 +3,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2010 Strangecode, LLC
+ * Copyright 2001-2012 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/tests/CSSTest.php
===================================================================
--- trunk/tests/CSSTest.php	(revision 376)
+++ trunk/tests/CSSTest.php	(revision 396)
@@ -3,5 +3,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2010 Strangecode, LLC
+ * Copyright 2001-2012 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/tests/CacheTest.php
===================================================================
--- trunk/tests/CacheTest.php	(revision 376)
+++ trunk/tests/CacheTest.php	(revision 396)
@@ -6,5 +6,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2010 Strangecode, LLC
+ * Copyright 2001-2012 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/tests/DBSessionHandlerTest.php
===================================================================
--- trunk/tests/DBSessionHandlerTest.php	(revision 376)
+++ trunk/tests/DBSessionHandlerTest.php	(revision 396)
@@ -3,5 +3,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2010 Strangecode, LLC
+ * Copyright 2001-2012 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/tests/EmailTest.php
===================================================================
--- trunk/tests/EmailTest.php	(revision 376)
+++ trunk/tests/EmailTest.php	(revision 396)
@@ -3,5 +3,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2010 Strangecode, LLC
+ * Copyright 2001-2012 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/tests/FormValidatorTest.php
===================================================================
--- trunk/tests/FormValidatorTest.php	(revision 376)
+++ trunk/tests/FormValidatorTest.php	(revision 396)
@@ -3,5 +3,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2010 Strangecode, LLC
+ * Copyright 2001-2012 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/tests/Google_APITest.php
===================================================================
--- trunk/tests/Google_APITest.php	(revision 376)
+++ trunk/tests/Google_APITest.php	(revision 396)
@@ -6,5 +6,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2010 Strangecode, LLC
+ * Copyright 2001-2012 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/tests/HierarchyTest.php
===================================================================
--- trunk/tests/HierarchyTest.php	(revision 376)
+++ trunk/tests/HierarchyTest.php	(revision 396)
@@ -6,5 +6,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2010 Strangecode, LLC
+ * Copyright 2001-2012 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/tests/ImageThumbTest.php
===================================================================
--- trunk/tests/ImageThumbTest.php	(revision 376)
+++ trunk/tests/ImageThumbTest.php	(revision 396)
@@ -6,5 +6,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2010 Strangecode, LLC
+ * Copyright 2001-2012 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/tests/LockTest.php
===================================================================
--- trunk/tests/LockTest.php	(revision 376)
+++ trunk/tests/LockTest.php	(revision 396)
@@ -3,5 +3,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2010 Strangecode, LLC
+ * Copyright 2001-2012 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/tests/MCVETest.php
===================================================================
--- trunk/tests/MCVETest.php	(revision 376)
+++ trunk/tests/MCVETest.php	(revision 396)
@@ -6,5 +6,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2010 Strangecode, LLC
+ * Copyright 2001-2012 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/tests/NavTest.php
===================================================================
--- trunk/tests/NavTest.php	(revision 376)
+++ trunk/tests/NavTest.php	(revision 396)
@@ -6,5 +6,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2010 Strangecode, LLC
+ * Copyright 2001-2012 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/tests/PEditTest.php
===================================================================
--- trunk/tests/PEditTest.php	(revision 376)
+++ trunk/tests/PEditTest.php	(revision 396)
@@ -6,5 +6,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2010 Strangecode, LLC
+ * Copyright 2001-2012 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/tests/PageNumbersTest.php
===================================================================
--- trunk/tests/PageNumbersTest.php	(revision 376)
+++ trunk/tests/PageNumbersTest.php	(revision 396)
@@ -6,5 +6,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2010 Strangecode, LLC
+ * Copyright 2001-2012 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/tests/PageSequenceTest.php
===================================================================
--- trunk/tests/PageSequenceTest.php	(revision 376)
+++ trunk/tests/PageSequenceTest.php	(revision 396)
@@ -6,5 +6,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2010 Strangecode, LLC
+ * Copyright 2001-2012 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/tests/PayPalTest.php
===================================================================
--- trunk/tests/PayPalTest.php	(revision 376)
+++ trunk/tests/PayPalTest.php	(revision 396)
@@ -3,5 +3,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2010 Strangecode, LLC
+ * Copyright 2001-2012 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/tests/PrefsTest.php
===================================================================
--- trunk/tests/PrefsTest.php	(revision 376)
+++ trunk/tests/PrefsTest.php	(revision 396)
@@ -6,5 +6,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2010 Strangecode, LLC
+ * Copyright 2001-2012 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/tests/ScriptTimerTest.php
===================================================================
--- trunk/tests/ScriptTimerTest.php	(revision 376)
+++ trunk/tests/ScriptTimerTest.php	(revision 396)
@@ -6,5 +6,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2010 Strangecode, LLC
+ * Copyright 2001-2012 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/tests/SortOrderTest.php
===================================================================
--- trunk/tests/SortOrderTest.php	(revision 376)
+++ trunk/tests/SortOrderTest.php	(revision 396)
@@ -6,5 +6,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2010 Strangecode, LLC
+ * Copyright 2001-2012 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/tests/SpellCheckTest.php
===================================================================
--- trunk/tests/SpellCheckTest.php	(revision 376)
+++ trunk/tests/SpellCheckTest.php	(revision 396)
@@ -6,5 +6,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2010 Strangecode, LLC
+ * Copyright 2001-2012 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/tests/TemplateGlueTest.php
===================================================================
--- trunk/tests/TemplateGlueTest.php	(revision 376)
+++ trunk/tests/TemplateGlueTest.php	(revision 396)
@@ -6,5 +6,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2010 Strangecode, LLC
+ * Copyright 2001-2012 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/tests/UploadTest.php
===================================================================
--- trunk/tests/UploadTest.php	(revision 376)
+++ trunk/tests/UploadTest.php	(revision 396)
@@ -6,5 +6,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2010 Strangecode, LLC
+ * Copyright 2001-2012 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/tests/UtilitiesTest.php
===================================================================
--- trunk/tests/UtilitiesTest.php	(revision 376)
+++ trunk/tests/UtilitiesTest.php	(revision 396)
@@ -6,5 +6,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2010 Strangecode, LLC
+ * Copyright 2001-2012 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/tests/VersionTest.php
===================================================================
--- trunk/tests/VersionTest.php	(revision 376)
+++ trunk/tests/VersionTest.php	(revision 396)
@@ -3,5 +3,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2010 Strangecode, LLC
+ * Copyright 2001-2012 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/tests/_config.inc.php
===================================================================
--- trunk/tests/_config.inc.php	(revision 376)
+++ trunk/tests/_config.inc.php	(revision 396)
@@ -3,5 +3,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2010 Strangecode, LLC
+ * Copyright 2001-2012 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.
Index: trunk/tests/_skel.php
===================================================================
--- trunk/tests/_skel.php	(revision 376)
+++ trunk/tests/_skel.php	(revision 396)
@@ -4,5 +4,5 @@
  * The Strangecode Codebase - a general application development framework for PHP
  * For details visit the project site: <http://trac.strangecode.com/codebase/>
- * Copyright 2001-2010 Strangecode, LLC
+ * Copyright 2001-2012 Strangecode, LLC
  * 
  * This file is part of The Strangecode Codebase.